Package org.eclipse.cdt.core.dom.parser.cpp

# Class POPCPPScannerExtensionConfiguration

java.lang.Object
org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.cpp.GPPScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.cpp.POPCPPScannerExtensionConfiguration

All Implemented Interfaces:
  `IScannerExtensionConfiguration`

public class POPCPPScannerExtensionConfiguration extends GPPScannerExtensionConfiguration
Configures the preprocessor for parsing POP C++, see Documentation

Since:
  5.1

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`AbstractScannerExtensionConfiguration.MacroDefinition`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`POPCPPScannerExtensionConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`static POPCPPScannerExtensionConfiguration`
`getInstance()`
`boolean`
`supportAtSignInIdentifiers()`
Support for extension "At Signs in Identifier Names".

### Methods inherited from class org.eclipse.cdt.core.dom.parser.cpp.GPPScannerExtensionConfiguration

`getInstance, supportDigitSeparators, supportMinAndMaxOperators, supportRawStringLiterals, supportUserDefinedLiterals`

### Methods inherited from class org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration

`addAdditionalGNUKeywords, getAdditionalGNUMacros, support$InIdentifiers, supportAdditionalNumericLiteralSuffixes, version`

### Methods inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`addKeyword, addMacro, addPreprocessorKeyword, createFunctionStyleMacro, createMacro, getAdditionalKeywords, getAdditionalMacros, getAdditionalPreprocessorKeywords, initializeMacroValuesTo1, supportSlashPercentComments, supportUTFLiterals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### POPCPPScannerExtensionConfiguration

protected POPCPPScannerExtensionConfiguration()

## Method Details

### getInstance

public static POPCPPScannerExtensionConfiguration getInstance()

### supportAtSignInIdentifiers

public boolean supportAtSignInIdentifiers()
Description copied from class: `AbstractScannerExtensionConfiguration`
Support for extension "At Signs in Identifier Names". If enabled, the '@' sign is treated as part of identifiers.

Specified by:
  `supportAtSignInIdentifiers` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportAtSignInIdentifiers` in class `AbstractScannerExtensionConfiguration`
Returns:
  `true`, if @ should be supported in identifiers